import { z } from 'zod';
declare const literal: z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull]>;
export declare const BaseSchema: {
    string: z.ZodString;
    hex: z.ZodString;
    hash: z.ZodString;
    literal: z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull]>;
    entries: z.ZodArray<z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull]>, "many">, "many">;
    json: z.ZodType<Json, z.ZodTypeDef, Json>;
    record: z.ZodRecord<z.ZodString, z.ZodType<Json, z.ZodTypeDef, Json>>;
    signature: z.ZodString;
    timestamp: z.ZodNumber;
    address: z.ZodString;
    socketAddress: z.ZodString;
    base64: z.ZodString;
    base64url: z.ZodString;
};
export type Literal = z.infer<typeof literal>;
export type Json = Literal | {
    [key: string]: Json;
} | Json[];
export {};
//# sourceMappingURL=base.d.ts.map