import { z } from 'zod';
export type ProfileData = z.infer<typeof data>;
export type ProfileTag = z.infer<typeof tag>;
export type ProfileTemplate = z.infer<typeof template>;
declare const tag: z.ZodArray<z.ZodString, "many">;
declare const template: z.ZodObject<{
    alias: z.ZodString;
    nonce: z.ZodString;
}, "strip", z.ZodTypeAny, {
    nonce: string;
    alias: string;
}, {
    nonce: string;
    alias: string;
}>;
declare const data: z.ZodObject<{
    tags: z.ZodArray<z.ZodArray<z.ZodString, "many">, "many">;
    contract_id: z.ZodString;
    pubkey: z.ZodString;
    content: z.ZodObject<{
        alias: z.ZodString;
        nonce: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        nonce: string;
        alias: string;
    }, {
        nonce: string;
        alias: string;
    }>;
    id: z.ZodString;
    sig: z.ZodString;
    created_at: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    pubkey: string;
    sig: string;
    contract_id: string;
    created_at: number;
    content: {
        nonce: string;
        alias: string;
    };
    tags: string[][];
    id: string;
}, {
    pubkey: string;
    sig: string;
    contract_id: string;
    created_at: number;
    content: {
        nonce: string;
        alias: string;
    };
    tags: string[][];
    id: string;
}>;
export declare const ProfileSchema: {
    data: z.ZodObject<{
        tags: z.ZodArray<z.ZodArray<z.ZodString, "many">, "many">;
        contract_id: z.ZodString;
        pubkey: z.ZodString;
        content: z.ZodObject<{
            alias: z.ZodString;
            nonce: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            nonce: string;
            alias: string;
        }, {
            nonce: string;
            alias: string;
        }>;
        id: z.ZodString;
        sig: z.ZodString;
        created_at: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        pubkey: string;
        sig: string;
        contract_id: string;
        created_at: number;
        content: {
            nonce: string;
            alias: string;
        };
        tags: string[][];
        id: string;
    }, {
        pubkey: string;
        sig: string;
        contract_id: string;
        created_at: number;
        content: {
            nonce: string;
            alias: string;
        };
        tags: string[][];
        id: string;
    }>;
    template: z.ZodObject<{
        alias: z.ZodString;
        nonce: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        nonce: string;
        alias: string;
    }, {
        nonce: string;
        alias: string;
    }>;
    tags: z.ZodArray<z.ZodArray<z.ZodString, "many">, "many">;
};
export {};
//# sourceMappingURL=profile.d.ts.map